import { EventEmitter } from '../../stencil-public-runtime';
export declare class Accordion {
    private accGroup?;
    private accheaders?;
    private accBodies?;
    private element;
    isOpen?: boolean;
    numberElement?: number;
    condition?: boolean;
    /**
     * bdsToggle. Event to return value of toggle.
     */
    bdsToggle?: EventEmitter;
    /**
     * bdsAccordionOpen. Event to return value when accordion is open.
     */
    bdsAccordionOpen?: EventEmitter;
    /**
     * bdsAccordionOpen. Event to return value when accordion is closed.
     */
    bdsAccordionClose?: EventEmitter;
    /**
     * A prop for make the accordion open when is render.
     */
    startOpen?: boolean;
    toggle(): Promise<void>;
    open(): Promise<void>;
    close(): Promise<void>;
    notStart(): Promise<void>;
    reciveNumber(number: any): Promise<void>;
    isOpenChanged(value: any): void;
    componentWillLoad(): void;
    render(): any;
}
